@import '../moon/style.css';
@import 'fonts.css';
:root{
  --body-bg: #040D1F;
  --banner-bg: linear-gradient(90.09deg, #3800AF 0%, #BF7204 97.52%, #C27500 100%, #C27500 100%);
  --header-bg: rgba(7, 15, 25, 0.75);
  --navbar-bg: rgba(1, 3, 5, 0.8);
  --orange: #ED8E00;
  --brown: #F18128;
  --black: #000000;
  --white: #ffffff;
  --gray: #C8C8C8;
  --dark: 7, 15, 25;
  --film-bg: linear-gradient(180deg, rgba(241, 129, 40, 0.35) 0%, rgba(0, 0, 0, 0.71) 51.04%, rgba(var(--dark), 0.8) 100%);
  --time-bg: rgba(var(--dark), 0.2);
  --widow-bg: linear-gradient(90deg, #DEF7FF 0%, #F4FCFF 45.64%, rgba(255, 255, 255, 0) 100.72%);
  --collection-bg:  linear-gradient(270deg, rgba(var(--dark), 0.56) 0%, rgba(49, 114, 9, 0.56) 100%);
  --serial-bg: linear-gradient(95.68deg, rgba(35, 35, 35, 0.8) 10.86%, rgba(11, 11, 11, 0.6) 110.86%);
  --footer-bg: linear-gradient(90deg, #FF8C30 0%, #9F4700 100%);
  
  --m: 'montserrat';
  --c: 'comfortaa';
  --r: 'roboto';
}
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
  font-family: var(--m);
  font-weight: 400;
}
/* body */
.wrapp{
  background: var(--body-bg);
  color: var(--white);
  position: relative;
  z-index: -1;
}
/* icons */
*::before, *::after{
  font-family: 'icons';
  color: var(--white);
}
.f300{font-weight: 300;}
.f900{font-weight: 900; position: relative;}
.f900::before,
.f300::before{
  position: absolute;
}
.f900::after{opacity: 0.5;}
.icon-film::before{content: '\f008';}
.icon-film::after{content: '\10f008';}
.icon-play::before{content: '\f04b';}
.icon-play::after{content: '\10f04b';}
/* container */
.container{
  max-width: 1140px;
  width: 100%;
  padding: 0 15px;
  margin: 0 auto;
  /* border: 1px solid red; */
  min-height: 40px;
}
/* banner */
.banner{
  width: 100%;
  background: var(--banner-bg);
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 24px;
  padding: 20px 0;
}
.banner span{
  font-size: 50px;
}

.banner p{
  font-size: 16px;
  line-height: 18px;
  font-family: var(--c);
  max-width: 166px;
}
/* navbar */
.navbar{
  width: 100%;
  background: var(--navbar-bg);
  position: sticky;
  top: 0;
  /* backdrop-filter: blur(5px); */
}
.navbar-nav{
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.navbar-nav__logo{
  display: flex;
  align-items: flex-end;
  column-gap: 5px;
}
.navbar-nav__logo img{
  width: 103px;
}
.navbar-nav__logo span{
  font-family: var(--c);
  font-weight: 700;
  font-size: 18px;
  line-height: 14px;
  color: var(--white);
}
.navbar-nav__list{
  display: flex;
}
.navbar-nav__list a{
  padding: 42px 6px;
  margin: 0 9px;
  display: flex;
  font-size: 14px;
  line-height: 16px;
  color: var(--white);
  position: relative;
  justify-content: center;
}
.navbar-nav__list a:hover{
  color: var(--orange);
  transition: color 0.3s;
}
.navbar-nav__list a::before{
  width: 100%;
  height: 3px;
  background: var(--orange);
  border-radius: 3px 3px 0 0;
  position: absolute;
  content: '';
  bottom: 0;
  transform: scaleX(0);
  transition: transform 0.3s;
}
.navbar-nav__list a:hover::before{
  transform: scaleX(1);
}
.navbar-nav__btn{
  width: 30px;
  height: 30px;
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: none;
  cursor: pointer;
  row-gap: 4px;
  background: transparent;
}
.navbar-nav__btn span{
  width: 100%;
  height: 4px;
  border-radius: 4px;
  background: var(--orange);
}
/* header */
.header{
  width: 100%;
  height: 640px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: -2;
}
.header img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.header::before{
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  content: '';
  background: var(--header-bg);
}
.header-content{
  position: absolute;
}
.header-content h1{
  font-size: 64px;
  line-height: 65px;
  font-weight: 700;
}
.header-content p{
  font-size: 16px;
  line-height: 23px;
  text-align: justify;
  color: var(--gray);
  max-width: 570px;
  margin: 30px 0 50px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 4;
  overflow: hidden;
}
.btn{
  width: 166px;
  height: 45px;
  border-radius: 4px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  background: var(--gray);
  font-family: var(--r);
  font-weight: 500;
}
.btn-brown{
  background: var(--brown);
  color: var(--black);
}
.btn-dark{
  background: var(--body-bg);
  color: var(--white);
}
.header-content__controls{
  display: flex;
  column-gap: 30px;
}
/* title */
.title a{
  display: inline-flex;
  color: var(--orange);
  font-family: var(--c);
  font-size: 36px;
  line-height: 32px;
  padding-bottom: 10px;
  border-bottom: 2px solid var(--orange);
  margin-bottom: 54px;
}
/* films */
.films{
  padding-top: 60px;
  padding-bottom: 77px;
  z-index: -5;
  position: relative;
}
.films-items{
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  row-gap: 30px;
  column-gap: 3%;
}
.films-card{
  width: 22.75%;
  height: 370px;
  background: orangered;
  border-radius: 6px;
  overflow: hidden;
  position: relative;
}
.films-card__img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.films-card__content{
  width: 100%;
  height: 100%;
  position: absolute;
  background: var(--film-bg);
  top: 0;
  padding: 18px 14px;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.films-card__icon{
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 12px;
  padding: 36px 0 30px;
}
.films-card__icon .icon-play{
  font-size: 40px;
  transition: transform 0.5s;
}
.time{
  padding: 7px;
  width: 100px;
  border: 1px solid var(--white);
  background: var(--time-bg);
  border-radius: 9px;
  font-size: 14px;
  line-height: 10px;
  display: inline-flex;
  justify-content: center;
  transition: transform 0.5s;
}
.films-card__text{
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 12px;
  transition: transform 0.5s;
}
.films-card__text h3{
  text-align: center;
  font-size: 22px;
  line-height: 27px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  overflow: hidden;
}
.films-card__text p{
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 7;
  overflow: hidden;
  font-family: var(--r);
  font-size: 14px;
  line-height: 21px;
}
.films-card:hover .films-card__text,
.films-card:hover .time{
  transform: scale(0);
}
.films-card:hover .f900{
  transform: scale(2) translateY(50px);
}
/* premier */
.premier{
  width: 100%;
  min-height: 500px;
  background: var(--white);
  position: relative;
  padding: 42px 0 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: -1;
  /* border: 1px solid red; */
}
.premier-video{
  position: absolute;
  right: 0;
  top: 0;
  width: 60%;
  height: 100%;
  object-fit: cover;
}
.premier::before{
  width: 100%;
  height: 100%;
  position: absolute;
  content: '';
  background: var(--widow-bg);
  top: 0;
  z-index: 1;
}
.premier-content{
  position: relative;
  z-index: 2;
}
.premier-content img{
  width: 40%;
}
.premier-content p{
  max-width: 560px;
  font-size: 18px;
  line-height: 27px;
  font-family: var(--r);
  color: var(--black);
  margin: 51px 0 55px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 5;
  overflow: hidden;
  text-align: justify;
}
/* .collection */
.collection{
  padding-top: 61px;
  padding-bottom: 63px;
  position: relative;
  z-index: -1;
}
.collection-items{
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  column-gap: 2.5%;
  row-gap: 30px;
}
.collection-card{
  width: 31.5%;
  height: 193px;
  border-radius: 6px;
  background: orangered;
  position: relative;
  overflow: hidden;
}
.collection-card__img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.collection-card__content{
  width: 100%;
  height: 100%;
  position: absolute;
  background: var(--collection-bg);
  left: 0;
  top: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  row-gap: 15px;
}
.collection-card__content .icon-play{
  font-size: 40px;
}
.collection-card__content h3{
  font-size: 20px;
  line-height: 20px;
  font-family: var(--c);
  font-weight: 700;
  color: var(--white);
}

.collection-card__content::before,
.collection-card__content::after{
  width: 19px;
  height: 95%;
  background: url('../images/lenta.png') no-repeat center / cover;
  position: absolute;
  content: '';
}
.collection-card__content::before{
  left: 7px;
}
.collection-card__content::after{
  right: 7px;
}
/* .series */
.series{
  padding-bottom: 63px;
  position: relative;
  z-index: -1;
}
.series-items{
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 30px;
}
.series-card{
  border-radius: 6px;
  background: orangered;
  min-height: 200px;
  position: relative;
  overflow: hidden;
}
.series-card:nth-of-type(6n + 1){
  grid-column: span 4;
}
.series-card:nth-of-type(12n + 2),
.series-card:nth-of-type(12n + 10){
  grid-column: span 2;
  grid-row: span 2;
}
.series-card img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.series-card__content{
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: var(--serial-bg);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  row-gap: 27px;
  padding: 22px;
}
.series-card__title{
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 20px;
}
.series-card__title span{
  font-size: 40px;
}
.series-card__title h3{
  font-size: 24px;
  line-height: 27px;
  font-family: var(--c);
  font-weight: 700;
  text-align: center;
}
.series-card__text{
  display: none;
  flex-direction: column;
  align-items: center;
  row-gap: 30px;
  text-align: center;
}
.series-card__text p{
  font-size: 16px;
  line-height: 24px;
  font-family: var(--c);
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 4;
}
.series-card:nth-of-type(6n + 1) .series-card__title span{display: none;}
.series-card:nth-of-type(6n + 1) .series-card__title h3{
  font-size: 40px;
  line-height: 44px;
}
.series-card:nth-of-type(6n + 1) .series-card__text{display: flex;}



*{
    padding: 0;
    margin: 0;
}
*::before{
    font-family: 'icomoon';
    color: white;
}
.content{
    height: 100vh;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    /* border: 1px solid red; */
}
.content-container{
    width: 640px;
    height: 370px;
    /* border: 1px solid yellow; */
    display: flex;
    align-items: center;
    overflow: hidden;
    position: relative;
}
.content-container button, input, select{
    cursor: pointer;
}
.content-container__video{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.content-container__panel{
    width: 100%;
    height: 14%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    position: absolute;
    bottom: 0;
    padding: 10px 10px;
}
.panel-preveiw{
    width: 100%;
    height: 10px;
    display: flex;
    flex-direction: column;
    /* align-items: center; */
    background: white;
    position: relative;
    /* border: 1px solid red; */
}
.preveiw-video{
    width: 100px;
    height: 74px;
    position: absolute;
    bottom: 5px;
    left: 100px;
    display: none;
    align-items: center;
    flex-direction: column;
    transform: translateX(-50%);
    /* padding-left:100px ; */
}

.preveiw{
    width: 100%;
}
.preveiw-time{
    font-family: 'Times New Roman';
    font-size: 10px;
    line-height: 11px;
    font-weight: 400;
}
.panel-preweiw__line-current{
    width: 0%;
    height: 100%;
    background: red;
    position: absolute;
    left: 0;
}
.panel-preveiw__line-range{
    width: 101%;
    -webkit-appearance: none;
    background: none;
    z-index: 1;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* border: 1px solid yellow; */
}
.panel-preveiw__line-range::-webkit-slider-thumb{
    -webkit-appearance: none;
    width: 16px;
    height: 16px;
    border-radius: 16px;
    background: red;
    opacity: 0;
    margin-top: -3px;
}
.panel-preveiw__line-range:hover::-webkit-slider-thumb{
    opacity: 1;
}
.panel-preveiw__line-range::-webkit-slider-runnable-track{
    height: 10px;
    cursor: pointer;
}
.panel{
    width: 50%;
    height: 30px;
    display: flex;
    align-items: center;
    column-gap: 5px;
    /* border: 1px solid green; */
}
.panel button{
    background: none;
    border: none;
    display: flex;
}
.btn-arr{
    font-size: 25px;
}
.btn-up{
    font-size: 20px;
}
.panel p{
    font-size: 15px;
}
.player-speed{
    outline: none;
    background: #222222;
    border: none;
    color: white;
}
.right{
    justify-content: flex-end;
    column-gap: 10px;
}
.btn-scr{
    font-size: 18px;
}
